Payments & Fund TransfersPayments
List Payments
Authorization
authorization AuthorizationBearer <token>
Set Your Secret API Key
In: header
Query Parameters
after?string
An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.
limit?integer
A limit on the number of objects to be returned, between 1 and 100.
Format
int32order?string
Sort list objects in either ascending or descending order.
Value in
- "ASC"
- "DESC"
status?string
Filter by payment status.
Response Body
*/*
curl -X GET "https://example.com/v1/payments"{ "data": [ { "actualPaymentDate": "string", "amount": 0, "bankChargeAmount": 0, "bankChargeBearer": "string", "bankChargeCurrency": "string", "bankReference": "string", "bankReferences": { "property1": "string", "property2": "string" }, "batchId": "string", "createdAt": "string", "currency": "string", "currencyExchange": { "fxContractId": "string" }, "customerReference": "string", "id": "string", "instructionForSenderBank": "string", "paymentAdviceEmails": [ "string" ], "paymentDate": "string", "paymentDetails": "string", "purposeOfPayment": "string", "receiver": { "address": { "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string" }, "bank": "string", "bankAccountNumber": "string", "intermediaryBank": "string", "localRoutingIdentifier": "string", "name": "string", "proxyType": "string", "proxyValue": "string" }, "resultCode": "string", "review": { "approvedAt": "string", "approvedBy": "string", "expiresAt": "string", "rejectedAt": "string", "rejectedBy": "string", "rejectionReason": "string", "requestedBy": "string" }, "senderAccountCurrency": "string", "senderAccountId": "string", "status": "string", "type": "string", "underlyingErrorMessage": "string", "updatedAt": "string" } ], "hasMore": true}